Attention is currently required from: fixeria, laforge, pespin.
Hello Jenkins Builder, laforge, neels, pespin,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-msc/+/36760?usp=email
to look at the new patch set (#5).
The following approvals got outdated and were removed:
Code-Review+1 by laforge, Code-Review+1 by pespin, Verified+1 by Jenkins Builder
Change subject: libmsc: add X5 timer for delaying LU connections
......................................................................
libmsc: add X5 timer for delaying LU connections
The idea is to allow re-using the radio channel that was used for
Location Updating to deliver MT SMS over GSUP. This is achieved
by delaying release of a BSSAP/RANAP connection and thus delaying
the release of the radio channel. The delay can be configured
using new timer X5 (default 0 ms), separately for GERAN and UTRAN.
Change-Id: Ic519cab55d65e47b2636124427dab1a1d80fab78
Related: osmo-ttcn3-hacks.git I74fa174ea649adb2112c8e471c0e339a2197a08d
Related: SYS#6913
---
M include/osmocom/msc/msc_a.h
M src/libmsc/msc_a.c
M src/libmsc/ran_infra.c
3 files changed, 65 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-msc refs/changes/60/36760/5
--
To view, visit https://gerrit.osmocom.org/c/osmo-msc/+/36760?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-msc
Gerrit-Branch: master
Gerrit-Change-Id: Ic519cab55d65e47b2636124427dab1a1d80fab78
Gerrit-Change-Number: 36760
Gerrit-PatchSet: 5
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newpatchset
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ci/+/36932?usp=email )
Change subject: OBS: add update_obs_eclipse_titan.sh
......................................................................
OBS: add update_obs_eclipse_titan.sh
Add a script to easily update the eclipse-titan package from a git
repository. This replaces the previous workflow of downloading the
previous source package, modifying it, and re-uploading it. With the git
repository, it is easier to see which patches are included, and it is
easier to modify the packaging (e.g. add new patches to fix build with
latest gcc), and easier to upgrade the eclipse-titan version.
I've done this change because it failed to build with the most recent
GCC in Debian Unstable. Backporting Vadim's patch from upstream fixes
it.
Related: https://gitlab.eclipse.org/eclipse/titan/titan.core/-/commit/b5d3d5bf4f0e2c…
Related: https://osmocom.org/projects/cellular-infrastructure/wiki/Upgrading_eclipse…
Change-Id: Ieb1945d5cf4abf8ae2201f49ea7dce8eb343167e
---
A scripts/obs/update_obs_eclipse_titan.sh
1 file changed, 62 insertions(+), 0 deletions(-)
Approvals:
fixeria: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/scripts/obs/update_obs_eclipse_titan.sh b/scripts/obs/update_obs_eclipse_titan.sh
new file mode 100755
index 0000000..6efb7c6
--- /dev/null
+++ b/scripts/obs/update_obs_eclipse_titan.sh
@@ -0,0 +1,40 @@
+#!/bin/sh -e
+# https://osmocom.org/projects/cellular-infrastructure/wiki/Upgrading_eclipse…
+DIR="$(realpath "$(dirname "$0")")"
+PROJ="$1"
+GIT_URL="https://gitea.osmocom.org/osmith/titan.core"
+CHECKOUT="osmocom/9.0.0"
+
+prepare_git_repo() {
+ cd "$DIR"
+ if ! [ -d _cache/eclipse-titan ]; then
+ mkdir -p _cache
+ git -C _cache clone "$GIT_URL" eclipse-titan
+ fi
+
+ cd _cache/eclipse-titan
+ git fetch
+ git clean -fdx
+ git checkout -f -B "$CHECKOUT"
+ git reset --hard origin/"$CHECKOUT"
+}
+
+update_obs_project() {
+ cd "$DIR"
+ ./update_obs_project.py \
+ --apiurl https://obs.osmocom.org \
+ --docker \
+ --allow-unknown-package \
+ --git-skip-checkout \
+ --git-skip-fetch \
+ --version-append "~osmocom" \
+ "$PROJ" \
+ eclipse-titan
+}
+
+set -x
+prepare_git_repo
+
+if [ -n "$PROJ" ]; then
+ update_obs_project
+fi
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/36932?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: Ieb1945d5cf4abf8ae2201f49ea7dce8eb343167e
Gerrit-Change-Number: 36932
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: merged
osmith has submitted this change. ( https://gerrit.osmocom.org/c/python/osmo-python-tests/+/36936?usp=email )
Change subject: scripts/osmotestconfig: rmtree: no ignore_errors
......................................................................
scripts/osmotestconfig: rmtree: no ignore_errors
Do not ignore errors with shutil.rmtree(). The script expects to be able
to delete the directory, otherwise it will fail later on. So this hides
the original error and leads to a more confusing error later on.
Change-Id: I41616bb27af0d8b7da124ef309cd4a6e53be6597
---
M scripts/osmotestconfig.py
1 file changed, 15 insertions(+), 1 deletion(-)
Approvals:
fixeria: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/scripts/osmotestconfig.py b/scripts/osmotestconfig.py
index 8840741..6580fc7 100755
--- a/scripts/osmotestconfig.py
+++ b/scripts/osmotestconfig.py
@@ -68,7 +68,8 @@
return ret
def copy_config(dirname, config):
- shutil.rmtree(dirname, True)
+ if os.path.exists(dirname):
+ shutil.rmtree(dirname)
ign = shutil.ignore_patterns('*.cfg')
shutil.copytree(os.path.dirname(config), dirname, ignore=ign)
os.chmod(dirname, stat.S_IRWXU)
--
To view, visit https://gerrit.osmocom.org/c/python/osmo-python-tests/+/36936?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: python/osmo-python-tests
Gerrit-Branch: master
Gerrit-Change-Id: I41616bb27af0d8b7da124ef309cd4a6e53be6597
Gerrit-Change-Number: 36936
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: merged
osmith has submitted this change. ( https://gerrit.osmocom.org/c/python/osmo-python-tests/+/36937?usp=email )
Change subject: scripts/osmotestconfig: copy_config: no copytree
......................................................................
scripts/osmotestconfig: copy_config: no copytree
In Osmocom git repositories, we have doc/example directories (possibly
with subdirectories), which contain nothing but *.cfg files.
For these directories, the code I'm removing had no effect: it would
copy the whole directory tree of a directory containaing *.cfg files,
but for some reason ignore the *.cfg files. I guess we had a previous
directory structure before, where this made more sense. So essential it
is a mkdir, but this is also not needed since we do a mkdir just below
this.
Furthermore this code caused problems for the related osmo-sgsn patch,
where a *.cfg file is stored in the tests/ dir, because it has to be
slightly different than the file from doc/example. In this case, the
code would actually copy various files, such as Makefile.am, from the
tests directory. This causes problems in "make distcheck", because then
the file permissions are set so that these files cannot removed without
first changing the permissions again. So osmotestconfig.py fails when it
runs copy_config for the second time, trying to remove the temporary
directory.
Related: osmo-sgsn I309807ff0bc125d4653222b2b4ba69ded3bbff70
Change-Id: Ic312d546da1c21f68a80b6a188616ef9bc84f4c6
---
M scripts/osmotestconfig.py
1 file changed, 30 insertions(+), 3 deletions(-)
Approvals:
Jenkins Builder: Verified
laforge: Looks good to me, approved
fixeria: Looks good to me, but someone else must approve
diff --git a/scripts/osmotestconfig.py b/scripts/osmotestconfig.py
index 6580fc7..d2d1f03 100755
--- a/scripts/osmotestconfig.py
+++ b/scripts/osmotestconfig.py
@@ -70,9 +70,6 @@
def copy_config(dirname, config):
if os.path.exists(dirname):
shutil.rmtree(dirname)
- ign = shutil.ignore_patterns('*.cfg')
- shutil.copytree(os.path.dirname(config), dirname, ignore=ign)
- os.chmod(dirname, stat.S_IRWXU)
try:
os.stat(dirname)
--
To view, visit https://gerrit.osmocom.org/c/python/osmo-python-tests/+/36937?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: python/osmo-python-tests
Gerrit-Branch: master
Gerrit-Change-Id: Ic312d546da1c21f68a80b6a188616ef9bc84f4c6
Gerrit-Change-Number: 36937
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: merged